<?php

namespace Drupal\version_information\Controller;

use Drupal\system\Controller\SystemInfoController;
use Drupal\Core\Controller\ControllerBase;

/**
 * Class VersionInformationController.
 */
class VersionInformationController extends ControllerBase {

  /**
   * Displays the site status report.
   *
   * @return array
   *   A render array containing a list of system requirements for the Drupal
   *   installation and whether this installation meets the requirements.
   */
  public function status() {
    $versionInformation = new SystemInfoController(\Drupal::service('system.manager'));
    $result = $versionInformation->status();
    $build = [
      '#title' => $this->t('Version Information'),
      '#theme' => 'version_information_theme',
      '#drupal' => $result['#requirements']['drupal'],
      '#webserver' => $result['#requirements']['webserver'],
      '#cron' => $result['#requirements']['cron'],
      '#php' => $result['#requirements']['php'],
      '#php_memory_limit' => $result['#requirements']['php_memory_limit'],
      '#database_system' => $result['#requirements']['database_system'],
      '#database_system_version' => $result['#requirements']['database_system_version'],
    ];

    return $build;
  }

}
